com.tibbo.aggregate.common.context

## Class Contexts

- java.lang.Object
- - com.tibbo.aggregate.common.context.Contexts

-     public class Contexts
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CTX_ADMINISTRATION`
    `static java.lang.String` | `CTX_ALERTS`
    `static java.lang.String` | `CTX_APPLICATIONS`
    `static java.lang.String` | `CTX_AUTORUN`
    `static java.lang.String` | `CTX_CLASSES`
    `static java.lang.String` | `CTX_COMMON_DATA`
    `static java.lang.String` | `CTX_COMPLIANCE_POLICIES`
    `static java.lang.String` | `CTX_CONFIG`
    `static java.lang.String` | `CTX_CORRELATORS`
    `static java.lang.String` | `CTX_DASHBOARDS`
    `static java.lang.String` | `CTX_DEBUG`
    `static java.lang.String` | `CTX_DEFAULT`
    `static java.lang.String` | `CTX_DEVGROUPS`
    `static java.lang.String` | `CTX_DEVICES`
    `static java.lang.String` | `CTX_DEVICESERVERS`
    `static java.lang.String` | `CTX_DISCOVERY`
    `static java.lang.String` | `CTX_DSGROUPS`
    `static java.lang.String` | `CTX_EVENTS`
    `static java.lang.String` | `CTX_EXTERNAL_DEVICE_SERVERS`
    `static java.lang.String` | `CTX_FAVOURITES`
    `static java.lang.String` | `CTX_FILTERS`
    `static java.lang.String` | `CTX_GEOFENCES`
    `static java.lang.String` | `CTX_GROUPS`
    `static java.lang.String` | `CTX_JOBS`
    `static java.lang.String` | `CTX_MACHINE_LEARNING`
    `static java.lang.String` | `CTX_MODELS`
    `static java.lang.String` | `CTX_MOUNT`
    `static java.lang.String` | `CTX_NETMANAGEMENT`
    `static java.lang.String` | `CTX_PLUGIN_CONFIG`
    `static java.lang.String` | `CTX_PLUGINS_CONFIG`
    `static java.lang.String` | `CTX_PLUGINS_USER_CONFIG`
    `static java.lang.String` | `CTX_PROCESS_CONTROL`
    `static java.lang.String` | `CTX_QUERIES`
    `static java.lang.String` | `CTX_REPORTS`
    `static java.lang.String` | `CTX_ROLES`
    `static java.lang.String` | `CTX_ROOT`
    `static java.lang.String` | `CTX_SCHEDULER`
    `static java.lang.String` | `CTX_SCRIPTS`
    `static java.lang.String` | `CTX_SEGMENTS`
    `static java.lang.String` | `CTX_TRACKERS`
    `static java.lang.String` | `CTX_UI_COMPONENTS`
    `static java.lang.String` | `CTX_USERS`
    `static java.lang.String` | `CTX_USERS_GROUPS`
    `static java.lang.String` | `CTX_UTILITIES`
    `static java.lang.String` | `CTX_WIDGETS`
    `static java.lang.String` | `CTX_WORKFLOWS`
    `static java.lang.String` | `CURRENT`
    `static java.lang.String` | `TYPE_ALERT`
    `static java.lang.String` | `TYPE_ALERTS`
    `static java.lang.String` | `TYPE_AUTORUN`
    `static java.lang.String` | `TYPE_AUTORUNS`
    `static java.lang.String` | `TYPE_CLASS`
    `static java.lang.String` | `TYPE_COMMON_DATA`
    `static java.lang.String` | `TYPE_COMMON_TABLE`
    `static java.lang.String` | `TYPE_DASHBOARD`
    `static java.lang.String` | `TYPE_DASHBOARDS`
    `static java.lang.String` | `TYPE_DEVICE`
    `static java.lang.String` | `TYPE_DEVICES`
    `static java.lang.String` | `TYPE_FAVOURITE`
    `static java.lang.String` | `TYPE_FAVOURITES`
    `static java.lang.String` | `TYPE_FILTER`
    `static java.lang.String` | `TYPE_FILTERS`
    `static java.lang.String` | `TYPE_GEOFENCE`
    `static java.lang.String` | `TYPE_GROUP`
    `static java.lang.String` | `TYPE_GROUPS`
    `static java.lang.String` | `TYPE_JOB`
    `static java.lang.String` | `TYPE_JOBS`
    `static java.lang.String` | `TYPE_MODEL`
    `static java.lang.String` | `TYPE_MODELS`
    `static java.lang.String` | `TYPE_POLICIES`
    `static java.lang.String` | `TYPE_POLICY`
    `static java.lang.String` | `TYPE_PROCESS_CONTROL`
    `static java.lang.String` | `TYPE_QUERIES`
    `static java.lang.String` | `TYPE_QUERY`
    `static java.lang.String` | `TYPE_REPORT`
    `static java.lang.String` | `TYPE_REPORTS`
    `static java.lang.String` | `TYPE_ROLE`
    `static java.lang.String` | `TYPE_ROLES`
    `static java.lang.String` | `TYPE_SCRIPT`
    `static java.lang.String` | `TYPE_SCRIPTS`
    `static java.lang.String` | `TYPE_SEGMENT`
    `static java.lang.String` | `TYPE_SEGMENTS`
    `static java.lang.String` | `TYPE_TRACKER`
    `static java.lang.String` | `TYPE_TRACKERS`
    `static java.lang.String` | `TYPE_UI_COMPONENT`
    `static java.lang.String` | `TYPE_UI_COMPONENTS`
    `static java.lang.String` | `TYPE_USER`
    `static java.lang.String` | `TYPE_USERS`
    `static java.lang.String` | `TYPE_WIDGET`
    `static java.lang.String` | `TYPE_WIDGETS`
    `static java.lang.String` | `TYPE_WORKFLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contexts()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CURRENT

          public static final java.lang.String CURRENT

      See Also:
        Constant Field Values

    - #### CTX_ADMINISTRATION

          public static final java.lang.String CTX_ADMINISTRATION

      See Also:
        Constant Field Values

    - #### CTX_ALERTS

          public static final java.lang.String CTX_ALERTS

      See Also:
        Constant Field Values

    - #### CTX_AUTORUN

          public static final java.lang.String CTX_AUTORUN

      See Also:
        Constant Field Values

    - #### CTX_CONFIG

          public static final java.lang.String CTX_CONFIG

      See Also:
        Constant Field Values

    - #### CTX_COMMON_DATA

          public static final java.lang.String CTX_COMMON_DATA

      See Also:
        Constant Field Values

    - #### CTX_DASHBOARDS

          public static final java.lang.String CTX_DASHBOARDS

      See Also:
        Constant Field Values

    - #### CTX_DEBUG

          public static final java.lang.String CTX_DEBUG

      See Also:
        Constant Field Values

    - #### CTX_DEFAULT

          public static final java.lang.String CTX_DEFAULT

      See Also:
        Constant Field Values

    - #### CTX_DEVGROUPS

          public static final java.lang.String CTX_DEVGROUPS

      See Also:
        Constant Field Values

    - #### CTX_DEVICES

          public static final java.lang.String CTX_DEVICES

      See Also:
        Constant Field Values

    - #### CTX_DEVICESERVERS

          public static final java.lang.String CTX_DEVICESERVERS

      See Also:
        Constant Field Values

    - #### CTX_DSGROUPS

          public static final java.lang.String CTX_DSGROUPS

      See Also:
        Constant Field Values

    - #### CTX_EVENTS

          public static final java.lang.String CTX_EVENTS

      See Also:
        Constant Field Values

    - #### CTX_FILTERS

          public static final java.lang.String CTX_FILTERS

      See Also:
        Constant Field Values

    - #### CTX_CORRELATORS

          public static final java.lang.String CTX_CORRELATORS

      See Also:
        Constant Field Values

    - #### CTX_EXTERNAL_DEVICE_SERVERS

          public static final java.lang.String CTX_EXTERNAL_DEVICE_SERVERS

      See Also:
        Constant Field Values

    - #### CTX_FAVOURITES

          public static final java.lang.String CTX_FAVOURITES

      See Also:
        Constant Field Values

    - #### CTX_GROUPS

          public static final java.lang.String CTX_GROUPS

      See Also:
        Constant Field Values

    - #### CTX_GEOFENCES

          public static final java.lang.String CTX_GEOFENCES

      See Also:
        Constant Field Values

    - #### CTX_JOBS

          public static final java.lang.String CTX_JOBS

      See Also:
        Constant Field Values

    - #### CTX_PLUGINS_CONFIG

          public static final java.lang.String CTX_PLUGINS_CONFIG

      See Also:
        Constant Field Values

    - #### CTX_PLUGINS_USER_CONFIG

          public static final java.lang.String CTX_PLUGINS_USER_CONFIG

      See Also:
        Constant Field Values

    - #### CTX_PLUGIN_CONFIG

          public static final java.lang.String CTX_PLUGIN_CONFIG

      See Also:
        Constant Field Values

    - #### CTX_COMPLIANCE_POLICIES

          public static final java.lang.String CTX_COMPLIANCE_POLICIES

      See Also:
        Constant Field Values

    - #### CTX_QUERIES

          public static final java.lang.String CTX_QUERIES

      See Also:
        Constant Field Values

    - #### CTX_REPORTS

          public static final java.lang.String CTX_REPORTS

      See Also:
        Constant Field Values

    - #### CTX_ROLES

          public static final java.lang.String CTX_ROLES

      See Also:
        Constant Field Values

    - #### CTX_ROOT

          public static final java.lang.String CTX_ROOT

      See Also:
        Constant Field Values

    - #### CTX_SCHEDULER

          public static final java.lang.String CTX_SCHEDULER

      See Also:
        Constant Field Values

    - #### CTX_SCRIPTS

          public static final java.lang.String CTX_SCRIPTS

      See Also:
        Constant Field Values

    - #### CTX_SEGMENTS

          public static final java.lang.String CTX_SEGMENTS

      See Also:
        Constant Field Values

    - #### CTX_TRACKERS

          public static final java.lang.String CTX_TRACKERS

      See Also:
        Constant Field Values

    - #### CTX_USERS_GROUPS

          public static final java.lang.String CTX_USERS_GROUPS

      See Also:
        Constant Field Values

    - #### CTX_USERS

          public static final java.lang.String CTX_USERS

      See Also:
        Constant Field Values

    - #### CTX_UTILITIES

          public static final java.lang.String CTX_UTILITIES

      See Also:
        Constant Field Values

    - #### CTX_UI_COMPONENTS

          public static final java.lang.String CTX_UI_COMPONENTS

      See Also:
        Constant Field Values

    - #### CTX_WIDGETS

          public static final java.lang.String CTX_WIDGETS

      See Also:
        Constant Field Values

    - #### CTX_PROCESS_CONTROL

          public static final java.lang.String CTX_PROCESS_CONTROL

      See Also:
        Constant Field Values

    - #### CTX_MACHINE_LEARNING

          public static final java.lang.String CTX_MACHINE_LEARNING

      See Also:
        Constant Field Values

    - #### CTX_MODELS

          public static final java.lang.String CTX_MODELS

      See Also:
        Constant Field Values

    - #### CTX_APPLICATIONS

          public static final java.lang.String CTX_APPLICATIONS

      See Also:
        Constant Field Values

    - #### CTX_CLASSES

          public static final java.lang.String CTX_CLASSES

      See Also:
        Constant Field Values

    - #### CTX_WORKFLOWS

          public static final java.lang.String CTX_WORKFLOWS

      See Also:
        Constant Field Values

    - #### CTX_MOUNT

          public static final java.lang.String CTX_MOUNT

      See Also:
        Constant Field Values

    - #### CTX_DISCOVERY

          public static final java.lang.String CTX_DISCOVERY

      See Also:
        Constant Field Values

    - #### CTX_NETMANAGEMENT

          public static final java.lang.String CTX_NETMANAGEMENT

      See Also:
        Constant Field Values

    - #### TYPE_ALERTS

          public static final java.lang.String TYPE_ALERTS

      See Also:
        Constant Field Values

    - #### TYPE_ALERT

          public static final java.lang.String TYPE_ALERT

      See Also:
        Constant Field Values

    - #### TYPE_AUTORUNS

          public static final java.lang.String TYPE_AUTORUNS

      See Also:
        Constant Field Values

    - #### TYPE_AUTORUN

          public static final java.lang.String TYPE_AUTORUN

      See Also:
        Constant Field Values

    - #### TYPE_COMMON_DATA

          public static final java.lang.String TYPE_COMMON_DATA

      See Also:
        Constant Field Values

    - #### TYPE_COMMON_TABLE

          public static final java.lang.String TYPE_COMMON_TABLE

      See Also:
        Constant Field Values

    - #### TYPE_DASHBOARDS

          public static final java.lang.String TYPE_DASHBOARDS

      See Also:
        Constant Field Values

    - #### TYPE_DASHBOARD

          public static final java.lang.String TYPE_DASHBOARD

      See Also:
        Constant Field Values

    - #### TYPE_CLASS

          public static final java.lang.String TYPE_CLASS

      See Also:
        Constant Field Values

    - #### TYPE_DEVICES

          public static final java.lang.String TYPE_DEVICES

      See Also:
        Constant Field Values

    - #### TYPE_DEVICE

          public static final java.lang.String TYPE_DEVICE

      See Also:
        Constant Field Values

    - #### TYPE_FILTERS

          public static final java.lang.String TYPE_FILTERS

      See Also:
        Constant Field Values

    - #### TYPE_FILTER

          public static final java.lang.String TYPE_FILTER

      See Also:
        Constant Field Values

    - #### TYPE_FAVOURITES

          public static final java.lang.String TYPE_FAVOURITES

      See Also:
        Constant Field Values

    - #### TYPE_FAVOURITE

          public static final java.lang.String TYPE_FAVOURITE

      See Also:
        Constant Field Values

    - #### TYPE_GROUPS

          public static final java.lang.String TYPE_GROUPS

      See Also:
        Constant Field Values

    - #### TYPE_GROUP

          public static final java.lang.String TYPE_GROUP

      See Also:
        Constant Field Values

    - #### TYPE_JOBS

          public static final java.lang.String TYPE_JOBS

      See Also:
        Constant Field Values

    - #### TYPE_JOB

          public static final java.lang.String TYPE_JOB

      See Also:
        Constant Field Values

    - #### TYPE_POLICIES

          public static final java.lang.String TYPE_POLICIES

      See Also:
        Constant Field Values

    - #### TYPE_POLICY

          public static final java.lang.String TYPE_POLICY

      See Also:
        Constant Field Values

    - #### TYPE_QUERIES

          public static final java.lang.String TYPE_QUERIES

      See Also:
        Constant Field Values

    - #### TYPE_QUERY

          public static final java.lang.String TYPE_QUERY

      See Also:
        Constant Field Values

    - #### TYPE_REPORTS

          public static final java.lang.String TYPE_REPORTS

      See Also:
        Constant Field Values

    - #### TYPE_REPORT

          public static final java.lang.String TYPE_REPORT

      See Also:
        Constant Field Values

    - #### TYPE_ROLES

          public static final java.lang.String TYPE_ROLES

      See Also:
        Constant Field Values

    - #### TYPE_ROLE

          public static final java.lang.String TYPE_ROLE

      See Also:
        Constant Field Values

    - #### TYPE_SCRIPTS

          public static final java.lang.String TYPE_SCRIPTS

      See Also:
        Constant Field Values

    - #### TYPE_SCRIPT

          public static final java.lang.String TYPE_SCRIPT

      See Also:
        Constant Field Values

    - #### TYPE_SEGMENTS

          public static final java.lang.String TYPE_SEGMENTS

      See Also:
        Constant Field Values

    - #### TYPE_SEGMENT

          public static final java.lang.String TYPE_SEGMENT

      See Also:
        Constant Field Values

    - #### TYPE_TRACKERS

          public static final java.lang.String TYPE_TRACKERS

      See Also:
        Constant Field Values

    - #### TYPE_TRACKER

          public static final java.lang.String TYPE_TRACKER

      See Also:
        Constant Field Values

    - #### TYPE_USERS

          public static final java.lang.String TYPE_USERS

      See Also:
        Constant Field Values

    - #### TYPE_USER

          public static final java.lang.String TYPE_USER

      See Also:
        Constant Field Values

    - #### TYPE_WIDGETS

          public static final java.lang.String TYPE_WIDGETS

      See Also:
        Constant Field Values

    - #### TYPE_WIDGET

          public static final java.lang.String TYPE_WIDGET

      See Also:
        Constant Field Values

    - #### TYPE_MODELS

          public static final java.lang.String TYPE_MODELS

      See Also:
        Constant Field Values

    - #### TYPE_MODEL

          public static final java.lang.String TYPE_MODEL

      See Also:
        Constant Field Values

    - #### TYPE_WORKFLOW

          public static final java.lang.String TYPE_WORKFLOW

      See Also:
        Constant Field Values

    - #### TYPE_GEOFENCE

          public static final java.lang.String TYPE_GEOFENCE

      See Also:
        Constant Field Values

    - #### TYPE_PROCESS_CONTROL

          public static final java.lang.String TYPE_PROCESS_CONTROL

      See Also:
        Constant Field Values

    - #### TYPE_UI_COMPONENTS

          public static final java.lang.String TYPE_UI_COMPONENTS

      See Also:
        Constant Field Values

    - #### TYPE_UI_COMPONENT

          public static final java.lang.String TYPE_UI_COMPONENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Contexts

          public Contexts()